/*
Jeff Branyon
November 13, 2022
Section 4
Lab 10A
This program reads in the pixels of an image, then prints that same image back
out to a new file. 
This file contains the header information.
*/

#ifndef DEFS_H
#define DEFS_H

// Libraries needed for the program to run. 
	#include <stdio.h>
	#include <string.h>
	#include <stdlib.h>

// Header Structure
	typedef struct header {
		char type[3];
		int width, height, maxColor;
		int pixels;
	} header_t;

// Color Pixel Structure
	typedef struct pixel {
		unsigned int r, g, b;
	} pixel_t;

// Function Prototypes
	header_t getHeader(void);
	void writeHeader(header_t h1);
	void fillImageArray(pixel_t imageArray[], int width, int height);
	void writePixels(pixel_t imageArray[], int width, int height);

#endif